%global perl_version    5.8.8
%global perl_epoch      4
%global perl_mod_compat 5.8.7

%global perl_archname     %{_arch}-%{_os}%{!?_without_threads:-thread-multi}
%global perl_privlib      %{_prefix}/lib/perl5/%{perl_version}
%global perl_archlib      %{_libdir}/perl5/%{perl_version}/%{perl_archname}
%global man1dir           %{_mandir}/man1
%global man3dir           %{_mandir}/man3
%global multilib_64_archs x86_64 s390x ppc64 sparc64
%global with_compat       %{?_without_compat:0}%{!?_without_compat:1}

# Use this for SUPER PERL DEBUGGING MODE.
%{?!perl_debugging:    %define perl_debugging 0}
%if %{perl_debugging}
%global debug_package %{nil}
# don't build debuginfo and disable stripping
%endif

Summary:        The Perl programming language
Name:           perl
Version:        %{perl_version}
Release:        30.n0i.51%{?dist}
Epoch:          %{perl_epoch}

Group:          Development/Languages
License:        GPL+ or Artistic
Url:            http://www.perl.org/

Source0:        http://www.cpan.org/src/%{name}-%{perl_version}.tar.bz2
Source8:        http://www.cpan.org/authors/id/S/SA/SAPER/constant-1.11.tar.gz
Source9:        http://www.cpan.org/authors/id/R/RG/RGARCIA/base-2.12.tar.gz
Source12:       perl-5.8.0-libnet.cfg

# Specific to Fedora/RHEL
Patch1:         perl-5.8.0-root.patch
# Upstream bug 41586
Patch2:         perl-5.8.8-incpush.patch
# Removes date check, Fedora/RHEL specific
Patch3:         perl-5.8.8-perlbug-tag.patch
# XXX: The next two patches appear to alter the order of @INC, but
# there isn't sufficient documentation as to why we do this.
Patch4:         perl-5.8.8-dashI.patch
Patch5:         perl-5.8.5-incorder.patch
# make sure we get the proper ldflags on libperl.so
# Upstream bug 41587
Patch6:         perl-5.8.0-sharedlinker.patch
# Fedora/RHEL use links instead of lynx
Patch7:         perl-5.8.8-links.patch
# work around annoying rpath issue
# This is only relevant for Fedora, as it is unlikely
# that upstream will assume the existence of a libperl.so
Patch8:         perl-5.8.8-rpath-make.patch
# Disable -DDEBUGGING and allow -g to do its job (#156113)
# Upstream bug 41588
Patch9:         perl-5.8.7-no-debugging.patch
# Upstream bug 41589
Patch10:        perl-5.8.1-fpic.patch
# Fedora/RHEL only (64bit only)
Patch11:        perl-5.8.0-libdir64.patch
# Upstream bug 41590
Patch12:        perl-5.8.0-nptlhint.patch
# Fedora/RHEL specific (use libresolv instead of libbind)
Patch13:        perl-5.8.6-libresolv.patch
# fix for bug 163958 / upstream bug 37056 :
# backport of perl-5.9's patch 25084 (bug still in 5.8.8!):
Patch14:        perl-5.8.7-25084.patch
# multi-threaded perl builds use localtime_r which does not call tzset
# bugzilla 172396
# Upstream bug 41591
Patch15:        perl-5.8.7-172396.patch
# Security fix
Patch16:        perl-5.8.8-CAN-2004-0976.patch
# XXX: Fixme
# Needs all the "Red Hat" references removed before upstreaming
Patch17:        perl-5.8.8-USE_MM_LD_RUN_PATH.patch
# Upstream bug 38385
Patch18:        perl-5.8.8-bz178343.patch
# Debian's fix for Net::NNTP:
# Upstream bug 41593
Patch19:        perl-5.8.8-debian_fix_net_nntp.patch
# Upstream patches 27133 and 27169 (27170):
Patch20:        perl-5.8.8-up27133_up27169.patch
# Upstream patch 27284:
Patch21:        perl-5.8.8-up27284.patch
# Fix for bug 183553 / upstream bug 38657:
Patch22:        perl-5.8.8-bz183553_ubz38657.patch
# http://rt.cpan.org/Ticket/Display.html?id=18692
Patch23:        perl-5.8.8-bz188441.patch
# Upstream bug 39130
Patch24:        perl-5.8.8-bz191416.patch
Patch25:        perl-5.8.8-U27116.patch
Patch26:        perl-5.8.8-U27391.patch
Patch27:        perl-5.8.8-U27426.patch
Patch28:        perl-5.8.8-U27509.patch
Patch29:        perl-5.8.8-U27512.patch
Patch30:        perl-5.8.8-U27604.patch
Patch31:        perl-5.8.8-U27605.patch
Patch32:        perl-5.8.8-U27914.patch
Patch33:        perl-5.8.8-U27329.patch
# XXX: Fixme
# Needs to be un-RedHatized before upstreaming
Patch34:        perl-5.8.8-R-switch.patch
# stop IPC/SysV.c including <asm/page.h> for getpagesize(), which
# is now declared by including <unistd.h> .
# Upstream bug 41594
Patch35:        perl-5.8.8-no_asm_page_h.patch
Patch36:        perl-5.8.8-U34297_C28006.patch
# Bugzilla 199372
# Upstream bug 41595
Patch37:        perl-5.8.8-useCFLAGSwithCC.patch
# Upstream bug 39903
Patch38:        perl-5.8.8-bz199736.patch
# Disable test_hosts because hostname tests fail in mock buildroots
Patch39:        perl-5.8.8-disable_test_hosts.patch
# Upstream bug #28775:
#    reblessing overloaded objects incurs significant performance penalty
Patch40:        perl-5.8.8-U28775.patch
# RH'BZ #247386:
#    Use getcwd() instead of cwd() in File::Spec::Unix to avoid forking
Patch41:        perl-5.8.8-bz247386-file-spec-cwd.patch

BuildRoot:      %{_tmppath}/%{name}-%{perl_version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  dos2unix, man, groff, gawk
BuildRequires:  gdbm-devel, db4-devel

Provides: perl(:MODULE_COMPAT_%{perl_version})
Provides: perl(:WITH_LARGEFILES)
Provides: perl(:WITH_PERLIO)
Provides: perl(:WITH%{?_without_threads:OUT}_ITHREADS)
Provides: perl(:WITH%{?_without_threads:OUT}_THREADS)

# perl.prov misses these:
Provides: perl(bytes_heavy.pl)
Provides: perl(utf8_heavy.pl)
Provides: perl(Carp::Heavy)

# make this fresh new build usable when %%install-ing
%global new_perl \\\
LD_PRELOAD=$RPM_BUILD_ROOT%{perl_archlib}/CORE/libperl.so \\\
LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{perl_archlib}/CORE \\\
PERL5LIB=$RPM_BUILD_ROOT%{perl_privlib}:$RPM_BUILD_ROOT%{perl_archlib} \\\
$RPM_BUILD_ROOT%{_bindir}/perl


%description
Perl is a high-level programming language with roots in C, sed, awk
and shell scripting.
Install this package if you want to program in Perl or enable your
system to handle Perl scripts.

%package devel
Summary:        Header files for use in perl development
Group:          Development/Languages
Requires:       perl = %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(B)
Provides:       perl(dumpvar.pl)
Provides:       perl(perl5db.pl)

%description devel
This package contains header files and development modules.
Most perl packages will need to install perl-devel to build.

%package suidperl
Summary:        Suidperl, for use with setuid perl scripts
Group:          Development/Languages
Requires:       perl = %{perl_epoch}:%{perl_version}-%{release}

%description suidperl
Suidperl is a setuid binary copy of perl that allows for (hopefully)
more secure running of setuid perl scripts.

%package modules
Summary:        Perl core modules
Group:          Development/Languages
Requires:       perl = %{perl_epoch}:%{perl_version}-%{release}
Provides:       perl(getopts.pl)

%description modules
Perl core modules.

%package deprecated
Summary:        Perl4 compatible code
Group:          Development/Languages
Requires:       perl = %{perl_epoch}:%{perl_version}-%{release}
Provides:       perl(abbrev.pl)
Provides:       perl(assert.pl)
Provides:       perl(bigfloat.pl)
Provides:       perl(bigint.pl)
Provides:       perl(bigrat.pl)
Provides:       perl(cacheout.pl)
Provides:       perl(complete.pl)
Provides:       perl(ctime.pl)
Provides:       perl(dotsh.pl)
Provides:       perl(exceptions.pl)
Provides:       perl(fastcwd.pl)
Provides:       perl(find.pl)
Provides:       perl(finddepth.pl)
Provides:       perl(flush.pl)
Provides:       perl(getcwd.pl)
Provides:       perl(getopt.pl)
Provides:       perl(hostname.pl)
Provides:       perl(importenv.pl)
Provides:       perl(look.pl)
Provides:       perl(newgetopt.pl)
Provides:       perl(open2.pl)
Provides:       perl(open3.pl)
Provides:       perl(pwd.pl)
Provides:       perl(shellwords.pl)
Provides:       perl(stat.pl)
Provides:       perl(syslog.pl)
Provides:       perl(tainted.pl)
Provides:       perl(termcap.pl)
Provides:       perl(timelocal.pl)
Provides:       perl(validate.pl)

%description deprecated
Obsolete/Unmaintained scripts, useful only to people coming from Perl4 world.

%if %{with_compat}
%package compat
Summary:        Compatibility layer for older Perl 5.8.x releases
Group:          Development/Languages
Requires:       perl = %{perl_epoch}:%{perl_version}-%{release}
%(for v in %{perl_mod_compat}; do echo "Provides: perl(:MODULE_COMPAT_$v)"; done)

%description compat
This packages add a compatibility layer for older Perl 5.8.x releases.
%endif

%package Attribute-Handlers
Summary:        Simpler definition of attribute handlers
Group:          Development/Languages
Epoch:          0
Version:        0.78_02
URL:            http://search.cpan.org/dist/Attribute-Handlers/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Attribute-Handlers
This module, when inherited by a package, allows that package's class to
define attribute handler subroutines for specific attributes

%package AutoLoader
Summary:        Automatic function loader (using AutoSplit)
Group:          Development/Languages
Epoch:          0
Version:        5.60
URL:            http://search.cpan.org/dist/AutoLoader/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description AutoLoader
The AutoLoader module works with the AutoSplit module and the "__END__"
token to defer the loading of some subroutines until they are used rather
than loading them all at once.

%package B
Summary:        Perl Compiler Backends
Group:          Development/Languages
Epoch:          0
Version:        1.09_01
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description B
The B module contains a set of utility functions for querying the current
state of the Perl interpreter; typically these functions return objects
from the B::SV and B::OP classes, or their derived classes.
These classes in turn define methods for querying the resulting objects
about their own internal state.

%package B-Lint
Summary:        Perl lint
Group:          Development/Languages
Epoch:          0
Version:        1.03
URL:            http://search.cpan.org/dist/B-Lint/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description B-Lint
The B::Lint module is equivalent to an extended version of the -w option of
perl. It is named after the program lint which carries out a similar process
for C programs.

%package bignum
Summary:        Transparent BigInteger support for Perl
Group:          Development/Languages
Epoch:          0
Version:        0.17
URL:            http://search.cpan.org/dist/bignum/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description bignum
This package attempts to make it easier to write scripts that use
BigInts/BigFloats in a transparent way. They use the rewritten
versions of Math::BigInt and Math::BigFloat, Math::BigRat (for bigrat)
and (optionally) Math::BigInt::Lite.

%package CGI
Summary:        Simple Common Gateway Interface Class
Group:          Development/Languages
Epoch:          0
Version:        3.15
URL:            http://search.cpan.org/dist/CGI.pm/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description CGI
Simple Common Gateway Interface Class.

%package CPAN
Summary:        Query, download and build perl modules from CPAN sites
Group:          Development/Languages
Epoch:          0
Version:        1.76_02
URL:            http://search.cpan.org/dist/CPAN/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})
Provides:       cpan = %{version}

%description CPAN
Query, download and build perl modules from CPAN sites.

%package Class-ISA
Summary:        Report the search path thru an ISA tree
Group:          Development/Languages
Epoch:          0
Version:        0.33
URL:            http://search.cpan.org/dist/Class-ISA/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Class-ISA
This library provides functions that return the ordered list of names
of classes Perl would search to find a method, with no duplicates.

%package Data-Dumper
Summary:        Convert data structure into perl code
Group:          Development/Languages
Epoch:          0
Version:        2.121_08
URL:            http://search.cpan.org/dist/Data-Dumper/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Data-Dumper
Given a list of scalars or reference variables, Data::Dumper writes out
their contents in perl syntax. The references can also be objects.
The contents of each variable is output in a single Perl statement. 
Handles self-referential structures correctly.

%package DB_File
Summary:        Tie to DB files
Group:          Development/Languages
Epoch:          0
Version:        1.814
URL:            http://search.cpan.org/dist/DB_File/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description DB_File
DB_File is a module which allows Perl programs to make use
of the facilities provided by Berkeley DB.

%package Devel-DProf
Summary:        Execution profiler
Group:          Development/Languages
Epoch:          0
Version:        20050603.00
URL:            http://search.cpan.org/dist/DProf/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Devel-DProf
Execution profiler.

%package Devel-PPPort
Summary:        Portability aid for your XS code
Group:          Development/Languages
Epoch:          0
Version:        3.06_01
URL:            http://search.cpan.org/dist/Devel-PPPort/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Devel-PPPort
Portability aid for your XS code.

%package Devel-Peek
Summary:        Peek at internal representation of Perl data
Group:          Development/Languages
Epoch:          0
Version:        1.03
URL:            http://search.cpan.org/dist/Devel-Peek/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Devel-Peek
Peek at internal representation of Perl data.

%package Digest
Summary:        Frontend module for autoloading of various Digest:: modules
Group:          Development/Languages
Epoch:          0
Version:        1.14
URL:            http://search.cpan.org/dist/Digest/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Digest
This is just a simple frontend module for autoloading of various
Digest:: modules.  It also provide documentation of the interface
that all Digest:: modules should provide.

%package Digest-MD5
Summary:        MD5 message digest algorithm
Group:          Development/Languages
Epoch:          0
Version:        2.36
URL:            http://search.cpan.org/dist/Digest-MD5/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Digest-MD5
The Digest::MD5 module allows you to use the RSA Data Security
Inc. MD5 Message Digest algorithm from within Perl programs.
The algorithm takes as input a message of arbitrary length and
produces as output a 128-bit "fingerprint" or "message digest"
of the input. MD5 is described in RFC 1321.

%package Encode
Summary:        Character Encodings Handler
Group:          Development/Languages
Epoch:          0
Version:        2.12
URL:            http://search.cpan.org/dist/Encode/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Encode
The "Encode" module provides the interfaces between Perl's
strings and the rest of the system.

%package ExtUtils-Command
Summary:        Utilities to replace common UNIX commands
Group:          Development/Languages
Epoch:          0
Version:        1.09
URL:            http://search.cpan.org/dist/ExtUtils-Command/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description ExtUtils-Command
The module is used to replace common UNIX commands. In all cases the functions
work from @ARGV rather than taking arguments. This makes them easier to deal
with in Makefiles.


%package ExtUtils-Constant
Summary:        Generate XS code to import C header constants
Group:          Development/Languages
Epoch:          0
Version:        0.17
URL:            http://search.cpan.org/dist/ExtUtils-Constant/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description ExtUtils-Constant
ExtUtils::Constant facilitates generating C and XS wrapper code to allow perl
modules to AUTOLOAD constants defined in C library header files. It is
principally used by the "h2xs" utility, on which this code is based. It
doesn't contain the routines to scan header files to extract these constants.

%package ExtUtils-Embed
Summary:        Utilities for embedding Perl in C/C++ applications
Group:          Development/Languages
Epoch:          0
Version:        1.26
URL:            http://search.cpan.org/dist/ExtUtils-Embed/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description ExtUtils-Embed
Utilities for embedding Perl in C/C++ applications.

%package ExtUtils-Install
Summary:        Install files from here to there
Group:          Development/Languages
Epoch:          0
Version:        1.33
URL:            http://search.cpan.org/dist/ExtUtils-Install/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description ExtUtils-Install
Handles the installing and uninstalling of perl modules, scripts,
man pages, etc...

%package ExtUtils-MakeMaker
Summary:        Create a module Makefile
Group:          Development/Languages
Epoch:          0
Version:        6.30
URL:            http://search.cpan.org/dist/ExtUtils-MakeMaker/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})
Requires:       perl(Pod::Man)
Requires:       perl(Pod::Parser)
Requires:       perl(Test)
Requires:       perl(Test::Harness)
Requires:       perl(Test::Simple)

%description ExtUtils-MakeMaker
Create a module Makefile.

%package ExtUtils-Manifest
Summary:        Utilities for managing MANIFEST files
Group:          Development/Languages
Epoch:          0
Version:        1.46
URL:            http://search.cpan.org/dist/ExtUtils-Manifest/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description ExtUtils-Manifest
ExtUtils::Manifest provides utility function for managing MANIFEST files.

%package File-Path
Summary:        Create or remove directory trees
Group:          Development/Languages
Epoch:          0
Version:        1.08
URL:            http://search.cpan.org/dist/File-Path/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description File-Path
File::Path provides utility functions to create or remove directory trees.

"mkpath" function provides a convenient way to create directories of
arbitrary depth.

"rmtree" function provides a convenient way to delete an entire directory
subtree from the filesystem, much like the Unix command "rm -r".

%package File-Temp
Summary:        Create temporary files safely
Group:          Development/Languages
Epoch:          0
Version:        0.16
URL:            http://search.cpan.org/dist/File-Temp/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description File-Temp
This module can be used to generate temporary files (providing a filename
and filehandle) or directories. Possible race conditions are avoided and
some security checks are performed (eg making sure the sticky bit is set on
world writeable temp directories).

%package Filter
Summary:        Perl source filters
Group:          Development/Languages
Epoch:          0
Version:        1.32
URL:            http://search.cpan.org/dist/Filter/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Filter
This package provides source-level filters for Perl modules.  Source filters
alter the program text of a module before Perl sees it, much as a C
preprocessor alters the source text of a C program before the compiler sees it.

%package Filter-Simple
Summary:        Simplified Perl source filters
Group:          Development/Languages
Epoch:          0
Version:        0.82
URL:            http://search.cpan.org/dist/Filter-Simple/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Filter-Simple
Source filtering is an immensely powerful feature of recent versions
of Perl. It allows one to extend the language itself (e.g. the Switch
module), to simplify the language (e.g. Language::Pythonesque), or to
completely recast the language (e.g.  Lingua::Romana::Perligata).
Effectively, it allows one to use the full power of Perl as its own,
recursively applied, macro language.

%package Getopt-Long
Summary:        Advanced handling of command line options
Group:          Development/Languages
Epoch:          0
Version:        2.35
URL:            http://search.cpan.org/dist/Getopt-Long/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Getopt-Long
Module Getopt::Long implements an extended getopt function called
GetOptions(). This function implements the POSIX standard for command
line options, with GNU extensions, while still capable of handling
the traditional one-letter options.
In general, this means that command line options can have long names
instead of single letters, and are introduced with a double dash '--'.
Optionally, Getopt::Long can support the traditional bundling of
single-letter command line options.

%package I18N-LangTags
Summary:        Compare & extract language tags
Group:          Development/Languages
Epoch:          0
Version:        0.35
URL:            http://search.cpan.org/dist/I18N-LangTags/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description I18N-LangTags
Functions for dealing with RFC3066-style language tags.

%package if
Summary:        Perl pragma to conditionally "use" a module
Group:          Development/Languages
Epoch:          0
Version:        0.05
URL:            http://search.cpan.org/dist/if/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description if
This is perl pragma for "use"-ing a module if a condition holds.

%package IO
Summary:        Core IO modules
Group:          Development/Languages
Epoch:          0
Version:        1.22
URL:            http://search.cpan.org/dist/IO/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description IO
Core IO modules.

%package IPC-SysV
Summary:        Core SysV IPC modules
Group:          Development/Languages
Epoch:          0
Version:        1.04
URL:            http://search.cpan.org/dist/IPC-SysV/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description IPC-SysV
Core SysV-IPC modules.

%package libnet
Summary:        Network protocols API
Group:          Development/Languages
Epoch:          0
Version:        1.19
URL:            http://search.cpan.org/dist/libnet/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description libnet
libnet is a collection of Perl modules which provides a simple
and consistent programming interface (API) to the client side
of various protocols used in the internet community.

%package Locale-Codes
Summary:        ISO codes processing modules
Group:          Development/Languages
Epoch:          0
Version:        2.07
URL:            http://search.cpan.org/dist/Locale-Codes/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Locale-Codes
This distribution contains four Perl modules which can be used
to process ISO codes for identifying languages, countries, scripts
and currencies & funds.

%package Locale-Maketext
Summary:        Framework for software localization
Group:          Development/Languages
Epoch:          0
Version:        1.09
URL:            http://search.cpan.org/dist/Locale-Maketext/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Locale-Maketext
Locale::Maketext is a base class providing a framework for
localization and inheritance-based lexicons.

%package Math-BigInt
Summary:        Arbitrary size integer math package
Group:          Development/Languages
Epoch:          0
Version:        1.77
URL:            http://search.cpan.org/dist/Math-BigInt/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Math-BigInt
Arbitrary size integer math package.

%package Math-BigRat
Summary:        Arbitrarily big rationales
Group:          Development/Languages
Epoch:          0
Version:        0.15
URL:            http://search.cpan.org/dist/Math-BigRat/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Math-BigRat
Arbitrarily big rationales.

%package Math-Complex
Summary:        Perl module for handling complex numbers
Group:          Development/Languages
Epoch:          0
Version:        1.35
URL:            http://search.cpan.org/dist/Math-Complex/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Math-Complex
This package lets you create and manipulate complex numbers.
By default, Perl limits itself to real numbers, but an extra "use" statement
brings full complex support, along with a full set of mathematical functions
typically associated with and/or extended to complex numbers.


%package Memoize
Summary:        Automatically cache results of functions
Group:          Development/Languages
Epoch:          0
Version:        1.01
URL:            http://search.cpan.org/dist/Memoize/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Memoize
Memoize - Make functions faster by trading space for time

%package MIME-Base64
Summary:        Encode/decode Base 64 (RFC 2045)
Group:          Development/Languages
Epoch:          0
Version:        3.07
URL:            http://search.cpan.org/dist/MIME-Base64/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description MIME-Base64
This package contains a base64 encoder/decoder and a quoted-printable
encoder/decoder.  These encoding methods are specified in RFC 2045 -
MIME (Multipurpose Internet Mail Extensions).

The Base64 encoding is designed to represent arbitrary sequences of
octets in a form that need not be humanly readable. A 65-character
subset ([A-Za-z0-9+/=]) of US-ASCII is used, enabling 6 bits to be
represented per printable character.

The quoted-printable encoding is intended to represent data that
largely consists of bytes that correspond to printable characters in
the ASCII character set.  Non-printable characters are represented by
a triplet consisting of the character "=" followed by two hexadecimal
digits.

%package Net-Ping
Summary:        TCP, UDP, or ICMP ping
Group:          Development/Languages
Epoch:          0
Version:        2.31
URL:            http://search.cpan.org/dist/Net-Ping/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Net-Ping
This module contains methods to test the reachability of remote hosts
on a network. A ping object is first created with optional parameters,
a variable number of hosts may be pinged multiple times and then the
connection is closed.

%package NEXT
Summary:        Perl5 implementation of NEXT (RFC190)
Group:          Development/Languages
Epoch:          0
Version:        0.60
URL:            http://search.cpan.org/dist/NEXT/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description NEXT
NEXT - Pseudo class for method redispatch

NEXT.pm adds a pseudoclass named NEXT to any program that
uses it. If a method "m" calls "$self->NEXT::m()", the call to
"m" is redispatched as if the calling method had not originally
been found.

In other words, a call to "$self->NEXT::m()" resumes the
depth-first, left-to-right search of parent classes that
resulted in the original call to C<m>.

%package PathTools
Summary:        Tools for handling files and directories portably
Group:          Development/Languages
Epoch:          0
Version:        3.12
URL:            http://search.cpan.org/dist/PathTools/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description PathTools
Tools for working with paths and file specs across platforms.

%package PerlIO-via-QuotedPrint
Summary:        PerlIO layer for quoted-printable strings
Group:          Development/Languages
Epoch:          0
Version:        0.06
URL:            http://search.cpan.org/dist/PerlIO-via-QuotedPrint/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description PerlIO-via-QuotedPrint
This module implements a PerlIO layer that works on files encoded in
the quoted-printable format.  It will decode from quoted-printable
while reading from a handle, and it will encode as quoted-printable
while writing to a handle.

%package podlators
Summary:        POD parsing modules
Group:          Development/Languages
Epoch:          0
Version:        1.27
URL:            http://search.cpan.org/dist/podlators/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description podlators
POD parsing modules.

%package Pod-Parser
Summary:        POD parsing suite
Group:          Development/Languages
Epoch:          0
Version:        1.32
URL:            http://search.cpan.org/dist/Pod-Parser/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Pod-Parser
This software distribution contains a suite of perl modules which are
used for parsing POD (Plain Old Documentation) files.

%package Pod-LaTeX
Summary:        Tools for converting POD to LaTeX format
Group:          Development/Languages
Epoch:          0
Version:        0.58
URL:            http://search.cpan.org/dist/Pod-LaTeX/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Pod-LaTeX
"Pod::LaTeX" is a module to convert documentation in the Pod format
into LaTeX. The "pod2latex" command uses this module for translation.

%package Pod-Perldoc
Summary:        The program for reading Pod documentation
Group:          Development/Languages
Epoch:          0
Version:        3.14
URL:            http://search.cpan.org/dist/Pod-Perldoc/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Pod-Perldoc
This is the distribution of Perldoc, the program for reading Pod
documentation.

%package Safe
Summary:        Restrict evaluated code to a safe subset of ops
Group:          Development/Languages
Epoch:          0
Version:        2.12
URL:            http://search.cpan.org/dist/Safe/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Safe
Restrict evaluated code to a safe subset of ops.

%package Scalar-List-Utils
Summary:        Scalar and List utility functions
Group:          Development/Languages
Epoch:          0
Version:        1.18
URL:            http://search.cpan.org/dist/Scalar-List-Utils/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Scalar-List-Utils
Scalar and List utility functions.

%package Storable
Summary:        Persistent data structure mechanism
Group:          Development/Languages
Epoch:          0
Version:        2.15
URL:            http://search.cpan.org/dist/Storable/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Storable
Persistent data structure mechanism.

%package Switch
Summary:        A "switch" statement for Perl
Group:          Development/Languages
Epoch:          0
Version:        2.10_01
URL:            http://search.cpan.org/dist/Switch/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Switch
A "switch" statement for Perl.

%package Sys-Syslog
Summary:        Perl interface to the UNIX syslog(3) calls
Group:          Development/Languages
Epoch:          0
Version:        0.13
URL:            http://search.cpan.org/dist/Sys-Syslog/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Sys-Syslog
Perl interface to the UNIX syslog(3) calls.

%package Term-ANSIColor
Summary:        Color output using ANSI escape sequences
Group:          Development/Languages
Epoch:          0
Version:        1.10
URL:            http://search.cpan.org/dist/Term-ANSIColor/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Term-ANSIColor
Color output using ANSI escape sequences.

%package Term-Cap
Summary:        Perl basic termcap interface
Group:          Development/Languages
Epoch:          0
Version:        1.09
URL:            http://search.cpan.org/dist/Term-Cap/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Term-Cap
Basic termcap interface. These are low-level functions to extract and
use capabilities from a terminal capability (termcap) database.

%package Test
Summary:        Simple framework for writing test scripts
Group:          Development/Languages
Epoch:          0
Version:        1.25
URL:            http://search.cpan.org/dist/Test/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Test
Simple framework for writing test scripts.

%package Test-Harness
Summary:        Run Perl standard test scripts with statistics
Group:          Development/Languages
Epoch:          0
Version:        2.56
URL:            http://search.cpan.org/dist/Test-Harness/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Test-Harness
Run Perl standard test scripts with statistics.

%package Test-Simple
Summary:        Basic utilities for writing tests
Group:          Development/Languages
Epoch:          0
Version:        0.62
URL:            http://search.cpan.org/dist/Test-Simple/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Test-Simple
Basic utilities for writing tests.

%package Text-Balanced
Summary:        Extract balanced-delimiter substrings
Group:          Development/Languages
Epoch:          0
Version:        1.95
URL:            http://search.cpan.org/dist/Text-Balanced/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Text-Balanced
Extract balanced-delimiter substrings.

%package Text-Soundex
Summary:        Encode a string as a soundex value
Group:          Development/Languages
Epoch:          0
Version:        1.01
URL:            http://search.cpan.org/dist/Text-Soundex/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Text-Soundex
Encode a string as a soundex value.

%package Text-Tabs+Wrap
Summary:        Expand and contract tabs a la expand(1)
Group:          Development/Languages
Epoch:          0
Version:        2005.082401
URL:            http://search.cpan.org/dist/Text-Tabs+Wrap/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Text-Tabs+Wrap
Expand and contract tabs a la expand(1).

%package Tie-RefHash
Summary:        Use references as hash keys
Group:          Development/Languages
Epoch:          0
Version:        1.32
URL:            http://search.cpan.org/dist/Tie-RefHash/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Tie-RefHash
This module provides the ability to use references as hash keys.

%package Time-HiRes
Summary:        A Perl module for precise time measurements
Group:          Development/Languages
Epoch:          0
Version:        1.86
URL:            http://search.cpan.org/dist/Time-HiRes/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Time-HiRes
A Perl module for precise time measurements.

%package Time-Local
Summary:        Implements timelocal() and timegm()
Group:          Development/Languages
Epoch:          0
Version:        1.11
URL:            http://search.cpan.org/dist/Time-Local/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Time-Local
Time::Local provides functions to translates the results of Perl's
localtime() and gmtime() functions back to seconds since the epoch.

%package Unicode-Collate
Summary:        Unicode Collation Algorithm
Group:          Development/Languages
Epoch:          0
Version:        0.52
URL:            http://search.cpan.org/dist/Unicode-Collate/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Unicode-Collate
This module is an implementation of Unicode Technical Standard #10 (UTS #10)
"Unicode Collation Algorithm."

%package Unicode-Normalize
Summary:        Unicode Normalization Forms
Group:          Development/Languages
Epoch:          0
Version:        0.32
URL:            http://search.cpan.org/dist/Unicode-Normalize/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Unicode-Normalize
Unicode Normalization Forms.

%package Unicode-UCD
Summary:        Unicode character database
Group:          Development/Languages
Epoch:          0
Version:        0.24
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description Unicode-UCD
Simple interface to the Unicode character database.

%package XSLoader
Summary:        Dynamically load C libraries into Perl code
Group:          Development/Languages
Epoch:          0
Version:        0.06
URL:            http://search.cpan.org/dist/XSLoader/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description XSLoader
This module defines a standard *simplified* interface to the dynamic linking
mechanisms available on many platforms. Its primary purpose is to implement
cheap automatic dynamic loading of Perl modules.

%package threads
Summary:        Perl interpreter-based threads
Group:          Development/Languages
Epoch:          0
Version:        1.07
URL:            http://search.cpan.org/dist/threads/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description threads
Perl interpreter-based threads.

%package threads-shared
Summary:        Perl extension for sharing data structures between threads
Group:          Development/Languages
Epoch:          0
Version:        0.94
URL:            http://search.cpan.org/dist/threads-shared/
Requires:       perl >= %{perl_epoch}:%{perl_version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description threads-shared
Perl extension for sharing data structures between threads.

%prep
%setup -q
%patch1 -p1
# %%patch2 -p1
# %%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
# %%patch7 -p1
%patch8 -p1
%if !%{perl_debugging}
%patch9 -p1
%endif
%patch10 -p1
%ifarch %{multilib_64_archs}
%patch11 -p1
%endif
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
# %%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1

# fix Errno version (provided on CPAN as 1.10)
sed -i 's/1\.09_01/1.10/' ext/Errno/Errno_pm.PL

# update "constant"
%{__mkdir} _tmp && cd _tmp        && \
%{__tar} xzf %{SOURCE8}           && \
%{__mv} -f */lib/*.pm ../lib/     && \
%{__mv} -f */t/constant.t ../lib/ && \
cd .. && %{__rm} -rf _tmp

# update "base"
%{__mkdir} _tmp && cd _tmp      && \
%{__tar} xzf %{SOURCE9}         && \
%{__mv} -f */lib/*.pm ../lib/   && \
%{__mv} -f */t/* ../lib/base/t/ && \
cd .. && %{__rm} -rf _tmp

#
# Candidates for doc recoding (need case by case review):
# find . -name "*.pod" -o -name "README*" -o -name "*.pm" | xargs file -i | grep charset= | grep -v '\(us-ascii\|utf-8\)'
recode()
{
        iconv -f "$2" -t utf-8 < "$1" > "${1}_"
        mv -f "${1}_" "$1"
}
recode README.cn euc-cn
recode README.jp euc-jp
recode README.ko euc-kr
recode README.tw big5
recode pod/perlebcdic.pod iso-8859-1
recode pod/perlhack.pod iso-8859-1
recode pod/perlhist.pod iso-8859-1
recode pod/perlothrtut.pod iso-8859-1
recode pod/perlthrtut.pod iso-8859-1
recode lib/Unicode/Collate.pm iso-8859-1

# fix DOSish end of line (they will become _installed_ as POD)
dos2unix README.{dos,ce,win32}

# remove cruft
find . -name \*.orig -exec rm -fv {} \;

# perl.prov generates some non-versioned provides we don't need.
# Each of these has a versioned provide, which we keep.
%{__cat} << 'EOF' > rpm-filter-prov
#!%{_buildshell}
%{__grep} -v '^%{_docdir}' - | %{__perl_provides} $* | %{__awk} '
  $0 != "perl(Carp)"             &&
  $0 != "perl(DynaLoader)"       &&
  $0 != "perl(Locale::Maketext)" &&
  $0 != "perl(Math::BigInt)"     &&
  $0 != "perl(Net::Config)"      &&
  $0 != "perl(Tie::Hash)"        &&
  $0 != "perl(UNIVERSAL)"        &&
  $0 != "perl(bigint)"           &&
  $0 != "perl(bigrat)"           &&
  $0 != "perl(bytes)"            &&
  $0 != "perl(utf8)"
'
EOF
%{__chmod} +x rpm-filter-prov
%global __perl_provides %{_builddir}/%{buildsubdir}/rpm-filter-prov

# filter unneeded requirements
%{__cat} << 'EOF' > rpm-filter-req
#!%{_buildshell}
%{__grep} -v '^%{_docdir}' - | %{__perl_requires} $* | %{__awk} '
  !/^perl >= 0:/  &&
  !/^perl\(v5/    &&
  !/^perl\(FCGI/  &&
  !/^perl\(Mac::/ &&
  !/^perl\(Tk/    &&
  !/^perl\(VMS/
'
EOF
%{__chmod} +x rpm-filter-req
%global __perl_requires %{_builddir}/%{buildsubdir}/rpm-filter-req



%build
echo "RPM Build arch: %{_arch}"

# yes; don't use %_libdir so that noarch packages from other OSs
# arches work correctly :\ the Configure lines below hardcode lib for
# similar reasons.

%{_buildshell} Configure -des -Doptimize="$RPM_OPT_FLAGS" \
        -Dversion=%{perl_version} \
        -Dmyhostname=localhost \
        -Dperladmin=root@localhost \
        -Dcc='%{__cc}' \
        -Dcf_by='reb00t.com' \
        -Dcf_email='support@reb00t.com' \
        -Dinstallprefix=%{_prefix} \
        -Dprefix=%{_prefix} \
        -Dvendorprefix=%{_prefix} \
        -Dsiteprefix=/usr/local \
        -Dsitelib="/usr/local/lib/perl5/%{perl_version}" \
        -Dsitearch="/usr/local/lib/perl5/%{perl_version}/%{perl_archname}" \
        -Dsiteman1dir=/usr/local/share/man/man1 \
        -Dsiteman3dir=/usr/local/share/man/man3 \
%ifarch %{multilib_64_archs}
        -Dlibpth="/usr/local/lib64 /lib64 %{_prefix}/lib64" \
        -Dprivlib="%{perl_privlib}" \
        -Darchlib="%{perl_archlib}" \
        -Dvendorlib="%{_prefix}/lib/perl5/vendor_perl/%{perl_version}" \
        -Dvendorarch="%{_libdir}/perl5/vendor_perl/%{perl_version}/%{perl_archname}" \
%endif
        -Darchname=%{_arch}-%{_os} \
%ifarch sparc
        -Ud_longdbl \
%endif
        -Duseshrplib \
        %{!?_without_threads:-Dusethreads -Duseithreads} \
        %{?_without_threads:-Uusethreads -Uuseithreads} \
        -Duselargefiles \
        -Dd_dosuid \
        -Dd_semctl_semun \
        -Di_db \
        -Ui_ndbm \
        -Di_gdbm \
        -Di_shadow \
        -Di_syslog \
        -Dman3ext=3pm \
        -Duseperlio \
        -Dinstallusrbinperl=n \
        -Ubincompat5005 \
        -Uversiononly \
        -Dpager='%{_bindir}/less -isr' \
        -Dd_gethostent_r_proto -Ud_endhostent_r_proto -Ud_sethostent_r_proto \
        -Ud_endprotoent_r_proto -Ud_setprotoent_r_proto \
        -Ud_endservent_r_proto -Ud_setservent_r_proto \
        %{!?_without_compat:-Dinc_version_list='%{perl_mod_compat}'} \
        %{?_without_compat:-Dinc_version_list=''} \
        -Dscriptdir='%{_bindir}' \
        -Ud_csh \
        -Dnoextensions='NDBM_File'

%{__make} %{?_smp_mflags}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%ifarch %{multilib_64_archs}
mkdir -p -m 755 $RPM_BUILD_ROOT%{perl_privlib}
mkdir -p -m 755 $RPM_BUILD_ROOT%{_prefix}/lib/perl5/vendor_perl/%{perl_version}
mkdir -p -m 755 ${RPM_BUILD_ROOT}%{_prefix}/lib64/perl5/vendor_perl/%{perl_version}/%{_arch}-%{_os}
%endif

# Compatibility directories
%if %{with_compat}
pushd $RPM_BUILD_ROOT/%{_libdir}/perl5
for i in %{perl_mod_compat}; do
    mkdir -pm 755 $i/%{perl_archname}/CORE
    mkdir -pm 755 $i/%{perl_archname}/auto
    pushd $i/%{perl_archname}/CORE
      ln -s ../../../%{perl_version}/%{perl_archname}/CORE/libperl.so libperl.so
    popd
  done
popd
%endif

install -p -m 755 utils/pl2pm ${RPM_BUILD_ROOT}%{_bindir}/pl2pm

# generate perl headers...
%{new_perl} $RPM_BUILD_ROOT/%{_bindir}/h2ph -a                                \
  -d $RPM_BUILD_ROOT%{perl_archlib}         \
	arpa/inet.h asm/termios.h crypt.h db.h dirent.h dlfcn.h float.h gdbm.h    \
	grp.h inttypes.h langinfo.h locale.h malloc.h math.h mntent.h netdb.h     \
	netinet/in.h netinet/tcp.h poll.h pthread.h pwd.h shadow.h stdio.h        \
	stdlib.h string.h syscall.h syslimits.h syslog.h sys/dir.h sys/file.h     \
	sys/ioctl.h sys/mman.h sys/mount.h sys/param.h sys/socket.h               \
	sys/statfs.h sys/stat.h sys/statvfs.h sys/time.h sys/times.h sys/un.h     \
	sys/utsname.h sys/vfs.h termios.h unistd.h ustat.h utime.h values.h       \
	wait.h || :
# save results filelist...
find $RPM_BUILD_ROOT -name '*.ph' | sed "s@^$RPM_BUILD_ROOT@@" > MANIFEST.perl_headers
# add folder ownership...
%{new_perl} -lne '
  m{^(.+?/%{perl_archname}/.+?)/[^/]+$}
    and !$S{$1}++
      and print "%%dir $1"
' MANIFEST.perl_headers >> MANIFEST.perl_headers

# double check: enforce all @INC dirs existence
%{new_perl} -e '
	$, = $/;
	print grep { m{^(?:%{_prefix}/lib|%{_libdir})} } @INC;
' | xargs -r -i'DD' %{__mkdir_p} -m 755 ${RPM_BUILD_ROOT}DD

for i in %{perl_version} %{?perl_mod_compat} ; do
  mkdir -pm 755 $RPM_BUILD_ROOT%{_libdir}/perl5/vendor_perl/$i/%{perl_archname}/auto
done

# libnet configuration file
mkdir -p -m 755 $RPM_BUILD_ROOT%{perl_privlib}/Net
install -p -m 644 %{SOURCE12} $RPM_BUILD_ROOT%{perl_privlib}/Net/libnet.cfg

# drop Memoize's NDBM bindings
find $RPM_BUILD_ROOT -name '*NDBM*' | xargs -r rm -rfv

# drop empty bootstrap files
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -empty -exec rm -f {} ';'

# fix perl binary paths for example scripts
%{__grep} -rsl '^#!.*perl' \
        lib/Attribute/Handlers/demo/ \
        lib/CGI/eg/ \
        lib/Net/demos/ \
  | while read file
do
  %{new_perl} -MExtUtils::MakeMaker -e 'MY->fixin(@ARGV)' $file
done

# miniperl? As an interpreter? How odd.
sed -i 's|./miniperl|%{_bindir}/perl|' $RPM_BUILD_ROOT/usr/lib/perl5/%{perl_version}/ExtUtils/xsubpp
chmod +x $RPM_BUILD_ROOT/usr/lib/perl5/%{perl_version}/ExtUtils/xsubpp

# Don't need the .packlist
rm -f $RPM_BUILD_ROOT%{perl_archlib}/.packlist

# Fix some manpages to be UTF-8
pushd $RPM_BUILD_ROOT%{man1dir}/
  for i in perl588delta.1 perldelta.1 ; do
    iconv -f MS-ANSI -t UTF-8 $i --output new-$i
    rm -rf $i
    mv new-$i $i
  done
popd

chmod -R u+w $RPM_BUILD_ROOT/*

# use symlinks instead duplicating man pages
# NOTE: linking *directly* to gzipped pages
pushd $RPM_BUILD_ROOT%{man1dir}/
	%{__rm} -f c2ph.1
	%{__ln_s} -f pstruct.1.gz c2ph.1.gz
	%{__rm} -f s2p.1
	%{__ln_s} -f psed.1.gz s2p.1.gz
popd

# use symlinks instead duplicating binaries
pushd $RPM_BUILD_ROOT%{_bindir}
	%{__ln_s} -f perl%{perl_version} perl
	%{__ln_s} -f pstruct c2ph
	%{__ln_s} -f psed s2p
popd

%if %{perl_debugging}
exit 0
# disable brp-strip
%endif


%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Artistic AUTHORS Copying README
%{_bindir}/perl
%{_bindir}/perl%{perl_version}
%{man1dir}/perl.*
%{man1dir}/perlrun.*

%dir %{_libdir}/perl5/
%ifarch %{multilib_64_archs}
%dir %{_prefix}/lib/perl5/
%endif
%dir %{perl_privlib}/
%dir %{perl_privlib}/auto/
%dir %{perl_archlib}/
%dir %{perl_archlib}/auto/

%dir %{_prefix}/lib/perl5/vendor_perl
%{_prefix}/lib/perl5/vendor_perl/%{perl_version}

%exclude /usr/local

%dir %{perl_archlib}/CORE/
%{perl_archlib}/CORE/libperl.so
%{perl_archlib}/CORE/reentr.inc

%{perl_privlib}/Carp*
%{man3dir}/Carp*
%{perl_archlib}/Config.pm
%{perl_archlib}/Config_heavy.pl
%{man3dir}/Config.*
%{perl_privlib}/DB.pm
%{man3dir}/DB.*
%{perl_privlib}/Exporter*
%{man3dir}/Exporter*
%{perl_archlib}/File/
%{perl_archlib}/auto/File/
%{man3dir}/File::Glob.*
%{perl_privlib}/PerlIO.pm
%{man3dir}/PerlIO.*
%{perl_archlib}/Socket.pm
%{perl_archlib}/auto/Socket/
%{man3dir}/Socket.*
%{perl_privlib}/UNIVERSAL.pm
%{man3dir}/UNIVERSAL.*
%{perl_privlib}/attributes.pm
%{man3dir}/attributes.*
%{perl_privlib}/autouse.pm
%{man3dir}/autouse.*
%{perl_privlib}/base.pm
%{man3dir}/base.*
%{perl_privlib}/bytes.pm
%{man3dir}/bytes.*
%{perl_privlib}/bytes_heavy.pl
%{perl_privlib}/constant.pm
%{man3dir}/constant.*
%{perl_privlib}/diagnostics.pm
%{man3dir}/diagnostics.*
%{perl_privlib}/fields.pm
%{man3dir}/fields.*
%{perl_privlib}/filetest.pm
%{man3dir}/filetest.*
%{perl_privlib}/integer.pm
%{man3dir}/integer.*
%{perl_archlib}/lib.pm
%{man3dir}/lib.*
%{perl_privlib}/less.pm
%{man3dir}/less.*
%{perl_privlib}/locale.pm
%{man3dir}/locale.*
%{perl_privlib}/open.pm
%{man3dir}/open.*
%{perl_privlib}/overload.pm
%{man3dir}/overload.*
%{perl_archlib}/re.pm
%{perl_archlib}/auto/re/
%{man3dir}/re.*
%{perl_privlib}/sigtrap.pm
%{man3dir}/sigtrap.*
%{perl_privlib}/sort.pm
%{man3dir}/sort.*
%{perl_privlib}/strict.pm
%{man3dir}/strict.*
%{perl_privlib}/subs.pm
%{man3dir}/subs.*
%{perl_privlib}/utf8.pm
%{man3dir}/utf8.*
%{perl_privlib}/utf8_heavy.pl
%{perl_privlib}/vars.pm
%{man3dir}/vars.*
%{perl_privlib}/vmsish.pm
%{man3dir}/vmsish.*
%{perl_privlib}/warnings*
%{man3dir}/warnings*

%files devel
%defattr(-,root,root,-)
%{_bindir}/c2ph
%{man1dir}/c2ph.*
%{_bindir}/h2ph
%{man1dir}/h2ph.*
%{_bindir}/h2xs
%{man1dir}/h2xs.*
%{_bindir}/perlbug
%{_bindir}/perlcc
%{_bindir}/perlivp
%{_bindir}/pstruct
%{man1dir}/pstruct.*
%{_bindir}/splain
%{man1dir}/splain.*
%{_bindir}/xsubpp
%{man1dir}/xsubpp.*
%{perl_privlib}/AutoSplit.pm
%{man3dir}/AutoSplit.*
%{perl_privlib}/Benchmark.pm
%{man3dir}/Benchmark.*
%{perl_privlib}/blib.pm
%{man3dir}/blib.*
%{perl_privlib}/perl5db.pl
%{perl_privlib}/Dumpvalue.pm
%{man3dir}/Dumpvalue.*
%{perl_privlib}/dumpvar.pl
%{perl_privlib}/Devel
%{man3dir}/Devel::SelfStubber.*
%{man3dir}/XS::*
%{perl_privlib}/ExtUtils/Miniperl.pm
%{perl_privlib}/ExtUtils/typemap
%{perl_privlib}/ExtUtils/xsubpp
%{man3dir}/ExtUtils::Miniperl*
%{perl_archlib}/CORE/*.h
%{perl_archlib}/XS/
%{perl_archlib}/auto/XS/

%{perl_privlib}/pod/
%exclude %{perl_privlib}/pod/perldoc.pod
%exclude %{perl_privlib}/pod/perlfilter.pod
%{perl_archlib}/Config.pod
%{perl_archlib}/POSIX.pod

%{man1dir}/perl*.*
%exclude %{man1dir}/perlrun.*
%exclude %{man1dir}/perldoc.*
%exclude %{man1dir}/perlfilter.*

%files suidperl
%defattr(-,root,root,-)
%{_bindir}/suidperl
%{_bindir}/sperl%{perl_version}
%{perl_archlib}/CORE/sperl.o

%files modules -f MANIFEST.perl_headers
%defattr(-,root,root,-)
%{_bindir}/a2p
%{man1dir}/a2p.*
%{_bindir}/find2perl
%{man1dir}/find2perl.*
%{_bindir}/pod2html
%{man1dir}/pod2html.*
%{_bindir}/psed
%{man1dir}/psed.*
%{_bindir}/s2p
%{man1dir}/s2p.*
%{perl_archlib}/ByteLoader.pm
%{perl_archlib}/auto/ByteLoader/
%{man3dir}/ByteLoader.*
%{perl_privlib}/AnyDBM_File.pm
%{man3dir}/AnyDBM_File.*
%dir %{perl_privlib}/Class
%{perl_privlib}/Class/Struct.pm
%{man3dir}/Class::Struct.*
%{perl_privlib}/DBM_Filter*
%{man3dir}/DBM_Filter*
%{perl_privlib}/DirHandle.pm
%{man3dir}/DirHandle.*
%{perl_archlib}/DynaLoader.pm
%{perl_archlib}/auto/DynaLoader/
%{man3dir}/DynaLoader.*
%{perl_privlib}/English.pm
%{man3dir}/English.*
%{perl_privlib}/Env.pm
%{man3dir}/Env.*
%{perl_archlib}/Errno.pm
%{man3dir}/Errno.*
%{perl_privlib}/Fatal.pm
%{man3dir}/Fatal.*
%{perl_archlib}/Fcntl.pm
%{perl_archlib}/auto/Fcntl/
%{man3dir}/Fcntl.*
%dir %{perl_privlib}/File/
%{perl_privlib}/File/Basename.pm
%{man3dir}/File::Basename.*
%{perl_privlib}/File/CheckTree.pm
%{man3dir}/File::CheckTree.*
%{perl_privlib}/File/Compare.pm
%{man3dir}/File::Compare.*
%{perl_privlib}/File/Copy.pm
%{man3dir}/File::Copy.*
%{perl_privlib}/File/DosGlob.pm
%{man3dir}/File::DosGlob.*
%{perl_privlib}/File/Find.pm
%{man3dir}/File::Find.*
%{perl_privlib}/File/stat.pm
%{man3dir}/File::stat.*
%{perl_privlib}/FileCache.pm
%{man3dir}/FileCache.*
%{perl_privlib}/FileHandle.pm
%{man3dir}/FileHandle.*
%{perl_privlib}/FindBin.pm
%{man3dir}/FindBin.*
%{perl_archlib}/GDBM_File.pm
%{perl_archlib}/auto/GDBM_File/
%{man3dir}/GDBM_File.*
%dir %{perl_privlib}/Getopt/
%{perl_privlib}/Getopt/Std.pm
%{man3dir}/Getopt::Std.*
%{perl_privlib}/Hash/
%{man3dir}/Hash::*
%dir %{perl_privlib}/I18N/
%{perl_privlib}/I18N/Collate.pm
%{man3dir}/I18N::Collate.*
%{man3dir}/I18N::Langinfo.*
%{perl_archlib}/I18N/
%{perl_archlib}/auto/I18N/
%{perl_privlib}/IPC
%{man3dir}/IPC::Open*
%dir %{perl_privlib}/Net/
%{perl_privlib}/Net/hostent.pm
%{man3dir}/Net::hostent.*
%{perl_privlib}/Net/netent.pm
%{man3dir}/Net::netent.*
%{perl_privlib}/Net/protoent.pm
%{man3dir}/Net::protoent.*
%{perl_privlib}/Net/servent.pm
%{man3dir}/Net::servent.*
%{perl_archlib}/Opcode.pm
%{perl_archlib}/auto/Opcode/
%{man3dir}/Opcode.*
%{perl_privlib}/auto/POSIX/
%{perl_archlib}/POSIX.pm
%{perl_archlib}/auto/POSIX/
%{man3dir}/POSIX.*
%{perl_archlib}/PerlIO/
%{perl_archlib}/auto/PerlIO/
%{man3dir}/PerlIO::encoding.*
%{man3dir}/PerlIO::scalar.*
%{man3dir}/PerlIO::via.*
%dir %{perl_privlib}/Pod/
%{perl_privlib}/Pod/Functions.pm
%{perl_privlib}/Pod/Html.pm
%{man3dir}/Pod::Html.*
%{perl_privlib}/Pod/Plainer.pm
%{man3dir}/Pod::Plainer.*
%{perl_archlib}/SDBM_File.pm
%{perl_archlib}/auto/SDBM_File/
%{perl_archlib}/auto/sdbm/
%{man3dir}/SDBM_File.*
%{perl_privlib}/SelfLoader.pm
%{man3dir}/SelfLoader.*
%{perl_privlib}/Search/
%{man3dir}/Search::*
%{perl_privlib}/SelectSaver.pm
%{man3dir}/SelectSaver.*
%{perl_privlib}/Shell.pm
%{man3dir}/Shell.*
%{perl_privlib}/Symbol.pm
%{man3dir}/Symbol.*
%dir %{perl_archlib}/Sys/
%{perl_archlib}/Sys/Hostname.pm
%dir %{perl_archlib}/auto/Sys/
%{perl_archlib}/auto/Sys/Hostname/
%{man3dir}/Sys::Hostname.*
%dir %{perl_privlib}/Term/
%{perl_privlib}/Term/Complete.pm
%{man3dir}/Term::Complete.*
%{perl_privlib}/Term/ReadLine.pm
%{man3dir}/Term::ReadLine.*
%dir %{perl_privlib}/Text/
%{perl_privlib}/Text/Abbrev.pm
%{man3dir}/Text::Abbrev.*
%{perl_privlib}/Text/ParseWords.pm
%{man3dir}/Text::ParseWords.*
%{perl_privlib}/Tie/
%exclude %{perl_privlib}/Tie/RefHash.pm
%{man3dir}/Tie::*
%exclude %{man3dir}/Tie::RefHash.*
%dir %{perl_privlib}/Time
%{perl_privlib}/Time/gmtime.pm
%{man3dir}/Time::gmtime.*
%{perl_privlib}/Time/localtime.pm
%{man3dir}/Time::localtime.*
%{perl_privlib}/Time/tm.pm
%{man3dir}/Time::tm.*
%{perl_privlib}/User/
%{man3dir}/User::*
%{perl_privlib}/dbm_filter_util.pl
%{perl_archlib}/ops.pm
%{man3dir}/ops.*
%{perl_privlib}/getopts.pl

%files deprecated
%defattr(-,root,root,-)
%{_bindir}/pl2pm
%{man1dir}/pl2pm.*
%{perl_privlib}/abbrev.pl
%{perl_privlib}/assert.pl
%{perl_privlib}/bigfloat.pl
%{perl_privlib}/bigint.pl
%{perl_privlib}/bigrat.pl
%{perl_privlib}/cacheout.pl
%{perl_privlib}/complete.pl
%{perl_privlib}/ctime.pl
%{perl_privlib}/dotsh.pl
%{perl_privlib}/exceptions.pl
%{perl_privlib}/fastcwd.pl
%{perl_privlib}/find.pl
%{perl_privlib}/finddepth.pl
%{perl_privlib}/flush.pl
%{perl_privlib}/getcwd.pl
%{perl_privlib}/getopt.pl
%{perl_privlib}/hostname.pl
%{perl_privlib}/importenv.pl
%{perl_privlib}/look.pl
%{perl_privlib}/newgetopt.pl
%{perl_privlib}/open2.pl
%{perl_privlib}/open3.pl
%{perl_privlib}/pwd.pl
%{perl_privlib}/shellwords.pl
%{perl_privlib}/stat.pl
%{perl_privlib}/syslog.pl
%{perl_privlib}/tainted.pl
%{perl_privlib}/termcap.pl
%{perl_privlib}/timelocal.pl
%{perl_privlib}/validate.pl
%{perl_privlib}/Thread*
%{man3dir}/Thread*
%{perl_archlib}/attrs.pm
%{perl_archlib}/auto/attrs/
%{man3dir}/attrs.*

%if %{with_compat}
%files compat
%defattr(-,root,root,-)
%(for v in %{perl_mod_compat}; do echo "%{_libdir}/perl5/$v"; done)
%(for v in %{perl_mod_compat}; do echo "%{_libdir}/perl5/vendor_perl/$v"; done)
%endif

%files Attribute-Handlers
%defattr(-,root,root,-)
%doc lib/Attribute/Handlers/README
%doc lib/Attribute/Handlers/Changes
%doc lib/Attribute/Handlers/demo/
%{perl_privlib}/Attribute/
%{man3dir}/Attribute::*

%files AutoLoader
%defattr(-,root,root,-)
%{perl_privlib}/AutoLoader.pm
%{man3dir}/AutoLoader.*

%files B
%defattr(-,root,root,-)
%{perl_privlib}/B/
%{perl_archlib}/B/
%{perl_archlib}/B.pm
%{perl_archlib}/O.pm
%{perl_archlib}/auto/B/
%{man3dir}/B.*
%{man3dir}/B::*
%{man3dir}/O.*
%exclude %{perl_archlib}/B/Lint.pm
%exclude %{man3dir}/B::Lint.*

%files B-Lint
%defattr(-,root,root,-)
%dir %{perl_archlib}/B/
%{perl_archlib}/B/Lint.pm
%{man3dir}/B::Lint.*

%files bignum
%defattr(-,root,root,-)
%dir %{perl_privlib}/Math
%{perl_privlib}/Math/BigFloat
%dir %{perl_privlib}/Math/BigInt
%{perl_privlib}/Math/BigInt/Trace.pm
%{perl_privlib}/bigint.pm
%{perl_privlib}/bignum.pm
%{perl_privlib}/bigrat.pm
%{man3dir}/bigint.*
%{man3dir}/bignum.*
%{man3dir}/bigrat.*

%files CGI
%defattr(-,root,root,-)
%doc lib/CGI/Changes
%doc lib/CGI/eg/
%{perl_privlib}/CGI/
%{perl_privlib}/CGI.pm
%exclude %{perl_privlib}/CGI/eg/
%{man3dir}/CGI*

%files Class-ISA
%defattr(-,root,root,-)
%dir %{perl_privlib}/Class/
%{perl_privlib}/Class/ISA.pm
%{man3dir}/Class::ISA*

%files CPAN
%defattr(-,root,root,-)
%{_bindir}/cpan
%{perl_privlib}/CPAN/
%{perl_privlib}/CPAN.pm
%{man1dir}/cpan.1*
%{man3dir}/CPAN*

%files Data-Dumper
%defattr(-,root,root,-)
%{perl_archlib}/Data/
%{perl_archlib}/auto/Data/
%{man3dir}/Data::Dumper.*

%files DB_File
%defattr(-,root,root,-)
%{perl_archlib}/DB_File.pm
%{perl_archlib}/auto/DB_File/
%{man3dir}/DB_File.*

%files Devel-DProf
%defattr(-,root,root,-)
%{_bindir}/dprofpp
%dir %{perl_archlib}/Devel/
%{perl_archlib}/Devel/DProf.pm
%dir %{perl_archlib}/auto/Devel/
%{perl_archlib}/auto/Devel/DProf
%{man1dir}/dprofpp.1*
%{man3dir}/Devel::DProf*

%files Devel-Peek
%defattr(-,root,root,-)
%dir %{perl_archlib}/Devel/
%{perl_archlib}/Devel/Peek.pm
%dir %{perl_archlib}/auto/Devel/
%{perl_archlib}/auto/Devel/Peek
%{man3dir}/Devel::Peek*

%files Devel-PPPort
%defattr(-,root,root,-)
%dir %{perl_archlib}/Devel/
%{perl_archlib}/Devel/PPPort.pm
%dir %{perl_archlib}/auto/Devel/
%{perl_archlib}/auto/Devel/PPPort
%{man3dir}/Devel::PPPort*

%files Digest
%defattr(-,root,root,-)
%{perl_privlib}/Digest.pm
%{perl_privlib}/Digest/
%{man3dir}/Digest.*
%{man3dir}/Digest::base*
%{man3dir}/Digest::file*

%files Digest-MD5
%defattr(-,root,root,-)
%{perl_archlib}/Digest/
%{perl_archlib}/auto/Digest/
%{man3dir}/Digest::MD5*

%files Encode
%defattr(-,root,root,-)
%{_bindir}/enc2xs
%{man1dir}/enc2xs*
%{_bindir}/piconv
%{man1dir}/piconv*
%{perl_privlib}/Encode/
%{perl_archlib}/Encode*
%{perl_archlib}/auto/Encode/
%{man3dir}/Encode*
%{perl_archlib}/encoding.pm
%{man3dir}/encoding.*

%files ExtUtils-Command
%defattr(-,root,root,-)
%dir %{perl_privlib}/ExtUtils/
%{perl_privlib}/ExtUtils/Command.pm
%{man3dir}/ExtUtils::Command.*

%files ExtUtils-Constant
%defattr(-,root,root,-)
%dir %{perl_privlib}/ExtUtils/
%{perl_privlib}/ExtUtils/Constant/
%{perl_privlib}/ExtUtils/Constant.pm
%{man3dir}/ExtUtils::Constant*

%files ExtUtils-Embed
%defattr(-,root,root,-)
%dir %{perl_privlib}/ExtUtils/
%{perl_privlib}/ExtUtils/Embed.pm
%{man3dir}/ExtUtils::Embed*

%files ExtUtils-Install
%defattr(-,root,root,-)
%dir %{perl_privlib}/ExtUtils/
%{perl_privlib}/ExtUtils/Install.pm
%{man3dir}/ExtUtils::Install.*
%{perl_privlib}/ExtUtils/Installed.pm
%{man3dir}/ExtUtils::Installed.*
%{perl_privlib}/ExtUtils/Packlist.pm
%{man3dir}/ExtUtils::Packlist.*

%files ExtUtils-MakeMaker
%defattr(-,root,root,-)
%doc lib/ExtUtils/NOTES lib/ExtUtils/PATCHING lib/ExtUtils/README
%{_bindir}/instmodsh
%{man1dir}/instmodsh.*
%dir %{perl_privlib}/ExtUtils/
%{perl_privlib}/ExtUtils/Command/
%{man3dir}/ExtUtils::Command::MM*
%{perl_privlib}/ExtUtils/Liblist/
%{perl_privlib}/ExtUtils/Liblist.pm
%{man3dir}/ExtUtils::Liblist.*
%{perl_privlib}/ExtUtils/MM*.pm
%{man3dir}/ExtUtils::MM*
%{perl_privlib}/ExtUtils/MY.pm
%{man3dir}/ExtUtils::MY.*
%{perl_privlib}/ExtUtils/MakeMaker/
%{perl_privlib}/ExtUtils/MakeMaker.pm
%{man3dir}/ExtUtils::MakeMaker*
%{perl_privlib}/ExtUtils/Mkbootstrap.pm
%{man3dir}/ExtUtils::Mkbootstrap.*
%{perl_privlib}/ExtUtils/Mksymlists.pm
%{man3dir}/ExtUtils::Mksymlists.*
%{perl_privlib}/ExtUtils/testlib.pm
%{man3dir}/ExtUtils::testlib.*
%exclude %{perl_privlib}/ExtUtils/NOTES
%exclude %{perl_privlib}/ExtUtils/PATCHING

%files ExtUtils-Manifest
%defattr(-,root,root,-)
%dir %{perl_privlib}/ExtUtils
%{perl_privlib}/ExtUtils/MANIFEST.SKIP
%{perl_privlib}/ExtUtils/Manifest.pm
%{man3dir}/ExtUtils::Manifest.*

%files File-Path
%defattr(-,root,root,-)
%dir %{perl_privlib}/File/
%{perl_privlib}/File/Path.pm
%{man3dir}/File::Path.*

%files File-Temp
%defattr(-,root,root,-)
%dir %{perl_privlib}/File/
%{perl_privlib}/File/Temp.pm
%{man3dir}/File::Temp*

%files Filter
%defattr(-,root,root,-)
%{perl_archlib}/Filter/
%{perl_archlib}/auto/Filter/
%{man1dir}/perlfilter.*
%{man3dir}/Filter::Util::Call.*

%files Filter-Simple
%defattr(-,root,root,-)
%{perl_privlib}/Filter/
%{man3dir}/Filter::Simple*

%files Getopt-Long
%defattr(-,root,root,-)
%dir %{perl_privlib}/Getopt/
%{perl_privlib}/Getopt/Long.pm
%{man3dir}/Getopt::Long*

%files I18N-LangTags
%defattr(-,root,root,-)
%dir %{perl_privlib}/I18N/
%{perl_privlib}/I18N/LangTags*
%{man3dir}/I18N::LangTags*

%files if
%defattr(-,root,root,-)
%{perl_privlib}/if.pm
%{man3dir}/if.*

%files IO
%defattr(-,root,root,-)
%{perl_privlib}/IO/
%{perl_archlib}/IO/
%{perl_archlib}/IO.pm
%{perl_archlib}/auto/IO/
%{man3dir}/IO.*
%{man3dir}/IO::*

%files IPC-SysV
%defattr(-,root,root,-)
%{perl_archlib}/IPC/
%{perl_archlib}/auto/IPC/
%{man3dir}/IPC::Msg.*
%{man3dir}/IPC::Semaphore.*
%{man3dir}/IPC::SysV.*

%files libnet
%defattr(-,root,root,-)
%doc lib/Net/demos/
%doc lib/Net/README.libnet
%{_bindir}/libnetcfg
%{man1dir}/libnetcfg*
%dir %{perl_privlib}/Net/
%{perl_privlib}/Net/Cmd.pm
%{perl_privlib}/Net/Config.*
%{perl_privlib}/Net/Domain.pm
%{perl_privlib}/Net/FTP*
%{perl_privlib}/Net/Hostname.*
%{perl_privlib}/Net/libnet*
%{perl_privlib}/Net/Netrc.pm
%{perl_privlib}/Net/NNTP.pm
%{perl_privlib}/Net/POP3.pm
%{perl_privlib}/Net/SMTP.pm
%{perl_privlib}/Net/Time.pm
%{man3dir}/Net::Cmd.*
%{man3dir}/Net::Config.*
%{man3dir}/Net::Domain.*
%{man3dir}/Net::FTP.*
%{man3dir}/Net::NNTP.*
%{man3dir}/Net::Netrc.*
%{man3dir}/Net::POP3.*
%{man3dir}/Net::SMTP.*
%{man3dir}/Net::Time.*
%{man3dir}/Net::libnetFAQ.*

%files Locale-Codes
%defattr(-,root,root,-)
%dir %{perl_privlib}/Locale/
%{perl_privlib}/Locale/Constants.*
%{perl_privlib}/Locale/Country.*
%{perl_privlib}/Locale/Currency.*
%{perl_privlib}/Locale/Language.*
%{perl_privlib}/Locale/Script.*
%{man3dir}/Locale::Constants.*
%{man3dir}/Locale::Country.*
%{man3dir}/Locale::Currency.*
%{man3dir}/Locale::Language.*
%{man3dir}/Locale::Script.*

%files Locale-Maketext
%defattr(-,root,root,-)
%dir %{perl_privlib}/Locale/
%{perl_privlib}/Locale/Maketext*
%{man3dir}/Locale::Maketext*

%files Math-BigInt
%defattr(-,root,root,-)
%dir %{perl_privlib}/Math/
%{perl_privlib}/Math/BigFloat.pm
%{perl_privlib}/Math/BigInt.pm
%dir %{perl_privlib}/Math/BigInt/
%{perl_privlib}/Math/BigInt/Calc*
%{man3dir}/Math::BigFloat*
%{man3dir}/Math::BigInt*

%files Math-BigRat
%defattr(-,root,root,-)
%dir %{perl_privlib}/Math/
%{perl_privlib}/Math/BigRat.pm
%{man3dir}/Math::BigRat.*

%files Math-Complex
%defattr(-,root,root,-)
%dir %{perl_privlib}/Math/
%{perl_privlib}/Math/Complex.pm
%{man3dir}/Math::Complex.*
%{perl_privlib}/Math/Trig.pm
%{man3dir}/Math::Trig.*

%files Memoize
%defattr(-,root,root,-)
%{perl_privlib}/Memoize*
%{man3dir}/Memoize*

%files MIME-Base64
%defattr(-,root,root,-)
%{perl_archlib}/MIME/
%{perl_archlib}/auto/MIME/
%{man3dir}/MIME::*

%files Net-Ping
%defattr(-,root,root,-)
%dir %{perl_privlib}/Net/
%{perl_privlib}/Net/Ping.pm
%{man3dir}/Net::Ping.*

%files NEXT
%defattr(-,root,root,-)
%{perl_privlib}/NEXT.pm
%{man3dir}/NEXT.*

%files PathTools
%defattr(-,root,root,-)
%dir %{perl_privlib}/File/
%{perl_privlib}/File/Spec/
%{perl_privlib}/File/Spec.pm
%{man3dir}/File::Spec*
%{perl_archlib}/Cwd.pm
%{perl_archlib}/auto/Cwd/
%{man3dir}/Cwd.*

%files PerlIO-via-QuotedPrint
%defattr(-,root,root,-)
%{perl_privlib}/PerlIO/
%{man3dir}/PerlIO::via::QuotedPrint.*

%files Pod-LaTeX
%defattr(-,root,root,-)
%{_bindir}/pod2latex
%{man1dir}/pod2latex*
%dir %{perl_privlib}/Pod/
%{perl_privlib}/Pod/LaTeX.pm
%{man3dir}/Pod::LaTeX.*

%files podlators
%defattr(-,root,root,-)
%{_bindir}/pod2man
%{man1dir}/pod2man*
%{_bindir}/pod2text
%{man1dir}/pod2text*
%dir %{perl_privlib}/Pod/
%{perl_privlib}/Pod/Man.pm
%{perl_privlib}/Pod/ParseLink.pm
%{perl_privlib}/Pod/Text*
%{man3dir}/Pod::Man.*
%{man3dir}/Pod::ParseLink.*
%{man3dir}/Pod::Text*

%files Pod-Parser
%defattr(-,root,root,-)
%{_bindir}/pod2usage
%{man1dir}/pod2usage*
%{_bindir}/podchecker
%{man1dir}/podchecker*
%{_bindir}/podselect
%{man1dir}/podselect*
%dir %{perl_privlib}/Pod/
%{perl_privlib}/Pod/Checker.pm
%{man3dir}/Pod::Checker.*
%{perl_privlib}/Pod/Find.pm
%{man3dir}/Pod::Find.*
%{perl_privlib}/Pod/InputObjects.pm
%{man3dir}/Pod::InputObjects.*
%{perl_privlib}/Pod/ParseUtils.pm
%{man3dir}/Pod::ParseUtils.*
%{perl_privlib}/Pod/Parser.pm
%{man3dir}/Pod::Parser.*
%{perl_privlib}/Pod/PlainText.pm
%{man3dir}/Pod::PlainText.*
%{perl_privlib}/Pod/Select.pm
%{man3dir}/Pod::Select.*
%{perl_privlib}/Pod/Usage.pm
%{man3dir}/Pod::Usage.*

%files Pod-Perldoc
%defattr(-,root,root,-)
%{_bindir}/perldoc
%{man1dir}/perldoc.*
%dir %{perl_privlib}/Pod/
%{perl_privlib}/Pod/Perldoc*
%{man3dir}/Pod::Perldoc*
%{perl_privlib}/pod/perldoc.pod

%files Safe
%defattr(-,root,root,-)
%{perl_archlib}/Safe.pm
%{man3dir}/Safe.*

%files Scalar-List-Utils
%defattr(-,root,root,-)
%{perl_privlib}/List/
%{perl_privlib}/Scalar/
%{perl_archlib}/auto/List/
%{man3dir}/List::Util.*
%{man3dir}/Scalar::Util.*

%files Storable
%defattr(-,root,root,-)
%{perl_archlib}/Storable.pm
%{perl_archlib}/auto/Storable/
%{man3dir}/Storable.*

%files Switch
%defattr(-,root,root,-)
%{perl_privlib}/Switch.pm
%{man3dir}/Switch.*

%files Sys-Syslog
%defattr(-,root,root,-)
%dir %{perl_archlib}/Sys/
%{perl_archlib}/Sys/Syslog.pm
%dir %{perl_archlib}/auto/Sys/
%{perl_archlib}/auto/Sys/Syslog/
%{man3dir}/Sys::Syslog.*

%files Term-ANSIColor
%defattr(-,root,root,-)
%dir %{perl_privlib}/Term/
%{perl_privlib}/Term/ANSIColor.pm
%{man3dir}/Term::ANSIColor.*

%files Term-Cap
%defattr(-,root,root,-)
%dir %{perl_privlib}/Term/
%{perl_privlib}/Term/Cap.pm
%{man3dir}/Term::Cap.*

%files Test
%defattr(-,root,root,-)
%{perl_privlib}/Test.pm
%{man3dir}/Test.*

%files Test-Harness
%defattr(-,root,root,-)
%{_bindir}/prove
%dir %{perl_privlib}/Test/
%{perl_privlib}/Test/Harness*
%{man1dir}/prove.1*
%{man3dir}/Test::Harness*

%files Test-Simple
%defattr(-,root,root,-)
%dir %{perl_privlib}/Test/
%{perl_privlib}/Test/More*
%{perl_privlib}/Test/Builder*
%{perl_privlib}/Test/Simple*
%{perl_privlib}/Test/Tutorial*
%{man3dir}/Test::More*
%{man3dir}/Test::Builder*
%{man3dir}/Test::Simple*
%{man3dir}/Test::Tutorial*

%files Text-Balanced
%defattr(-,root,root,-)
%dir %{perl_privlib}/Text/
%{perl_privlib}/Text/Balanced.pm
%{man3dir}/Text::Balanced.*

%files Text-Soundex
%defattr(-,root,root,-)
%dir %{perl_privlib}/Text/
%{perl_privlib}/Text/Soundex.pm
%{man3dir}/Text::Soundex.*

%files Text-Tabs+Wrap
%defattr(-,root,root,-)
%dir %{perl_privlib}/Text/
%{perl_privlib}/Text/Tabs.pm
%{perl_privlib}/Text/Wrap.pm
%{man3dir}/Text::Tabs.*
%{man3dir}/Text::Wrap.*

%files Tie-RefHash
%defattr(-,root,root,-)
%dir %{perl_privlib}/Tie/
%{perl_privlib}/Tie/RefHash.pm
%{man3dir}/Tie::RefHash.*

%files Time-HiRes
%defattr(-,root,root,-)
%{perl_archlib}/Time/
%{perl_archlib}/auto/Time/
%{man3dir}/Time::HiRes.*

%files Time-Local
%defattr(-,root,root,-)
%dir %{perl_privlib}/Time/
%{perl_privlib}/Time/Local.pm
%{man3dir}/Time::Local.*

%files Unicode-Collate
%defattr(-,root,root,-)
%dir %{perl_privlib}/Unicode/
%{perl_privlib}/Unicode/Collate*
%{man3dir}/Unicode::Collate.*

%files Unicode-Normalize
%defattr(-,root,root,-)
%{perl_archlib}/Unicode/
%{perl_archlib}/auto/Unicode/
%{man3dir}/Unicode::Normalize.*

%files Unicode-UCD
%defattr(-,root,root,-)
%{perl_privlib}/charnames.pm
%dir %{perl_privlib}/Unicode/
%{perl_privlib}/Unicode/UCD.pm
%{perl_privlib}/unicore/
%{man3dir}/charnames.*
%{man3dir}/Unicode::UCD.*

%files XSLoader
%defattr(-,root,root,-)
%{perl_archlib}/XSLoader.pm
%{man3dir}/XSLoader.*

%files threads
%defattr(-,root,root,-)
%{perl_archlib}/threads.pm
%dir %{perl_archlib}/auto/threads/
%{perl_archlib}/auto/threads/threads.so
%{man3dir}/threads.*

%files threads-shared
%defattr(-,root,root,-)
%{perl_archlib}/threads/
%dir %{perl_archlib}/auto/threads/
%{perl_archlib}/auto/threads/shared/
%{man3dir}/threads::shared.*


%changelog
* Tue Oct 09 2007 Marius FERARU <altblue@n0i.net> - 4:5.8.8-30.n0i.51
- updated license tag (Fedora friendly)
- dropped reb00t rpm tools dependency (for now) ;-)
- split ExtUtils-Manifest
- updated Errno version to 1.10
- split File-Path
- base v2.12
- constant v1.11

* Thu Aug 02 2007 Marius FERARU <altblue@n0i.net> - 4:5.8.8-25.n0i.50
- split B-Lint
- split Math-Complex
- split Sys-Syslog
- split Tie-RefHash
- split XSLoader

* Tue Jul 31 2007 Marius FERARU <altblue@n0i.net> - 4:5.8.8-24.n0i.49
- (Fedora) Disable test_hosts because hostname tests fail in mock buildroots
- (Fedora) Upstream bug #28775
- (Fedora) RH'BZ #247386

* Tue Jun 12 2007 Marius FERARU <altblue@n0i.net> - 4:5.8.8-23.n0i.48
- moved "loaders" into "modules" package
- more spec cleanup

* Sat Jun 09 2007 Marius FERARU <altblue@n0i.net> - 4:5.8.8-22.n0i.47
- split ExtUtils-Command

* Sun Jun 03 2007 Marius FERARU <altblue@n0i.net> - 4:5.8.8-21.n0i.46
- split AutoLoader

* Thu May 31 2007 Marius FERARU <altblue@n0i.net> - 4:5.8.8-20.n0i.45
- split Filter
- split ExtUtils-Constant
- split ExtUtils-Install
- moved "getopts.pl" from "deprecated" to "modules" ("c2ph" still requires
  it... and a bunch of Fedora/RedHat packages)
- alleviate upgrade: all "dual life" packages Require perl ">="
  (and MODULE_COMPAT ofc)

* Sun May 13 2007 Marius FERARU <altblue@n0i.net> - 4:5.8.8-17.n0i.43
- bootstrap Fedora's 4:5.8.8-16.5 spec (and dub over it);
- generic Source0 URL;
- s/version/perl_version/ (fixing "newperl" params);
- fixed libnet cfg installation (it's noarch);
- s/define/global/ for filters macro definitions;
- s/Perl/perl.prov/ (wrong comment for provides filters);
- dropped useless tcsh BR;
- disabled RedHat's "compatibility" patch;
- reduced compat list to 5.8.7;
- integrated our req/prov filters;
- optional threading support (--without threads)
- moved "site" files in /usr/local
- fix DOSish end of lines;
- pager in _bindir;
- disabled using tcsh (dropping useless BR);
- disabled building NDBM_File;
- (try to) generate more Perl header files ("standardish" only though);
- improved @INC dirs existence double check;
- provide Artistic license text with the base package;
- dropped check block, back to timely make-test;
- moved "compat" kludge into a separate sub-package;
- optional "compat" support (--without compat)
- dropped "libs" sub-package (not useful... yet);
- dropped artificial dependency on "perl-devel";
- added URLs to all (appropriate) packages;
- fixed folders ownership (for sub-packages);
- moved more development tools to "devel": c2ph (AKA pstruct),
  h2ph, splain, xsubpp, perlbug, AutoSplit, Benchmark, blib, perl5db.pl,
  Dumpvalue, dumpvar.pl, XS::APItest, XS::Typemap,
  Devel::Selfstubber, ExtUtils::Miniperl, ExtUtils::Constant;
- moved developer documentation to "devel";
- split "special" suites into sub-packages: B, Unicode-UCD;
- split all "CPAN available" packages into sub-packages:
  Attribute-Handlers, bignum, CGI, Class-ISA, Data-Dumper, DB_File,
  Devel-DProf, Devel-Peek, Devel-PPPort, Digest, Digest-MD5, Encode,
  File-Temp, Filter-Simple, Getopt-Long, I18N-LangTags, if, IO,
  IPC-SysV, libnet, Locale-Codes, Locale-Maketext, Math-BigInt,
  Math-BigRat, Memoize, MIME-Base64, Net-Ping, NEXT, PathTools,
  PerlIO-via-QuotedPrint, Pod-LaTeX, podlators, Pod-Parser, Pod-Perldoc,
  Safe, Scalar-List-Utils, Storable, Switch, Term-ANSIColor, Term-Cap,
  Test, Text-Balanced, Text-Soundex, Text-Tabs +Wrap, Time-HiRes,
  Time-Local, Unicode-Collate, Unicode-Normalize, threads, threads-shared;
- moved obsolete/deprecated tools into "deprecated" sub-package;
- moved "non essential" functionality into "modules" sub-package;

* Fri Feb 03 2006 Marius FERARU <altblue@n0i.net> - 3:5.8.8-1.n0i.42
- version 5.8.8
- added the cppsymbols patch

* Thu Jan 26 2006 Marius FERARU <altblue@n0i.net> - 3:5.8.8-0.n0i.41.RC1
- updated the incpush patch (fixing @INC)

* Wed Jan 25 2006 Marius FERARU <altblue@n0i.net> - 3:5.8.8-0.n0i.40.RC1
- added backward compatible symlinks for versioned binaries
  (for each version in perl_mod_compat)

* Tue Jan 24 2006 Marius FERARU <altblue@n0i.net> - 3:5.8.8-0.n0i.39.RC1
- sync with Fedora's 3:5.8.8-0_RC1
- perl 5.8.8-RC1

* Fri Nov 04 2005 Marius FERARU <altblue@n0i.net> - 3:5.8.7-21.n0i.38
- Time::HiRes 1.80
- File-Spec 3.12
- IO-Seekable 1.10
- Pod-Find 1.34
- Text-Tabs+Wrap 2005.0824

* Thu Nov 03 2005 Marius FERARU <altblue@n0i.net> - 3:5.8.7-20.n0i.37
- Digest 1.13
- Time::HiRes 1.77
- Cwd 3.12
- DB_File 1.813
- Encode 2.12
- IO 1.22
- Pod::Checker 1.43
- Term::ANSIColor 1.10
- Unicode-Collate 0.52
- XSLoader 0.06
- if 0.0401

* Mon Sep 26 2005 Marius FERARU <altblue@n0i.net> - 3:5.8.7-19.n0i.36
- resync with Fedora's 3:5.8.7-0.3
- configurable parameters: threading, largefiles, suidperl, test
- use generic Source0 URL
- use proper name for Source11 (perl-filter-depends.sh)
- dropped obsolete patches
- versioned Obsolete tags
- fix DOSish end of line
- more Configure tuning
- drop duplicate binaries/manual-pages (use symlinks instead)
- try harder to generate "development" headers
- drop more unnecessary files (and don't drop DBM_Filter!)
- move libnet.cfg to proper location (sysconfdir)
- updates: Filter-Simple-0.82, Time-HiRes-1.74, Storable-2.15, Cwd-3.11,
  Digest-1.11, Scalar-List-Utils-1.17

* Wed Jul 20 2005 Marius FERARU <altblue@n0i.net> 3:5.8.7-18.n0i.35
- more "catholic" tweaks in %%install stage
- fixed another Fedora fuckup ("installprefix" included RPM_BUILD_ROOT)
- dropped ugly %%check, using "--without test" again
- re-included basic %%doc

* Mon Jun 27 2005 Marius FERARU <altblue@n0i.net> 3:5.8.7-17.n0i.34
- modified default options to be more compatible with FC4 build
  (limited compat, threads enabled)
- This is a "happy birthday" rebuild ;-)

* Fri Jun 17 2005 Marius FERARU <altblue@n0i.net> 3:5.8.7-16.n0i.33
- resync with Rawhide's 3:5.8.6-15
- version 5.8.7
- dropped all Obsoletes that did not have any <= version provided
- fixed DOSish EOL (various files)
- fixed perl binary path (various files)

* Mon Nov 29 2004 Marius FERARU <altblue@n0i.net> 3:5.8.6-1.n0i.32
- perl version 5.8.6
- dropped external __perl_requires file (integrated it into the spec)
- dropped MANIFEST.suidperl and system-owned-directories (integrated in spec)
- dropped clean-manifest.pl (no longer necessary)
- more cruft cleaned up

* Mon Nov 29 2004 Marius FERARU <altblue@n0i.net> 3:5.8.5-12.n0i.31
- resync with Rawhide's 3:5.8.5-11
- added build conditionals: threading, largefiles, test, compat, suid
- cleaned up some "perlver" macro usage
- switched to the "bz2" source
- made Source to point to a URL (on CPAN)
- updated Requirements
- tweaked Configure flags: disabled some useless items etc
- switched to using "test-notty" for make-test phase
- heavy lift-ups in %%install stage...
- more useless files are dropped
- eliminated files duplication (replacing them with symlinks)
- fixed POSIX installation
- added more comments in the spec :))
- more complete h2ph headers building
- marked POD files as documentation
- marked libnet as configuration
- enforcing "..arch../auto" dirs creation/ownership
(more to come in a future FC sync)

* Fri Apr 30 2004 Marius FERARU <altblue@n0i.net> 3:5.8.4-37.n0i.30
- split Term::Cap, if, Class-ISA.

* Wed Apr 28 2004 Marius FERARU <altblue@n0i.net> 3:5.8.4-36.n0i.29
- rebuild (FC2 test 3)
- compat set only to 5.8.3

* Sat Apr 24 2004 Marius FERARU <altblue@n0i.net> 3:5.8.4-35.n0i.28
- perl 5.8.4

* Wed Apr 21 2004 Marius FERARU <altblue@n0i.net> 3:5.8.4-34.n0i.27.RC2
- fixed a directory ownership for IPC-SysV module

* Tue Apr 20 2004 Marius FERARU <altblue@n0i.net> 3:5.8.4-33.n0i.26.RC2
- version 5.8.4-RC2
- merged two patches from official Fedora Core perl package:
	- to fix empty RPATH issue on perl module compile
	- to fix FindBin module when access to cwd is disallowed
- updated errno patch

* Sat Apr 03 2004 Marius FERARU <altblue@n0i.net> 3:5.8.3-32.n0i.25
- missed moving the Digest::base manpage to the proper package
- corrected some sleepy-typos in previous changelog entry

* Sat Mar 20 2004 Marius FERARU <altblue@n0i.net> 3:5.8.3-31.n0i.24
- deep overriding of FC2 base release number
- added Epoch: 0 to every module in order to override the base package serial
- get in sync with newer FC patches (fullinc and incpush)
- added Chip's MODULE_COMPAT_ Provides (haven't found out yet what's
the purpose of these bits...)
- dropped some obsolete patches
- dropped the plethora of <MODULE>_ver variables and inserted those right
in the Version line of each sub-package
- added a "--with compat" conditional, so we can avoid from now to create that
crooked perl binary with a tremendous @INC
- more split packages: Cwd, Test, Devel-Peek, Devel-DProf, Devel-PPPort,
IPC-SysV
- dropped 'packver' additional value that what used as release "prefix" for
subpackages... instead just keep on using the first integer from the release
as a serial (always incrementing it, even for superior perl versions).
Is this dumber? :)

* Thu Feb 12 2004 Marius FERARU <altblue@n0i.net> 3:5.8.3-7.n0i.23
- prepend %%{packver} to every sub-package, where packver should
usually be the perl version with dots stripped (5.8.3 => 583)

* Sat Feb 07 2004 Marius FERARU <altblue@n0i.net> 3:5.8.3-6.n0i.22
- again, a release increase over the version in FC2-test1

* Tue Jan 27 2004 Marius FERARU <altblue@n0i.net> 3:5.8.3-5.n0i.21
- rebuild with 2 as main release tag, to get higher than the latest
"official" Fedora build

* Thu Jan 22 2004 Marius FERARU <altblue@n0i.net> 3:5.8.3-1.n0i.6
- tweaked devel package MANIFEST generator so it will gain ownership
on its directories + triggered filtering of those for the main MANIFEST
- dropped Net/Hostname.eg
- moved more files to devel
- the final(?) touch: perl-modules including all modules "not-really-core"

* Wed Jan 21 2004 Marius FERARU <altblue@n0i.net> 3:5.8.3-4.n0i.20
- moved B extensions into its own package
- recreated doc package and moved every documentation file in it
(sorry folks, "--excludedocs" kicks ass, but remember that download
size/time is also important for some people)
- baked a conditional build option (--without doc) for moving docs
into a separate package
- added some more compilation flags (some undefs)
- dropped tcsh from BuildRequires (using -Ud_csh)
- more BuildRequires: findutils, coreutils, make
- baked a "devel" package containing for now all *.h and *.ph files
- plugged a special MANIFEST.devel for setting some statical stuff
that is to be moved into the devel package (I really need a new build
system as this creepy MANIFEST stuff is getting already way too heavy)
- split Opcode module
- moved Thread and attrs into "obsolete"
- moved c2ph, dprofpp, h2ph, perlbug, perlcc, perlivp, pstruct, splain,
xsubpp  from "utils" to "devel"
- moved Devel::DProf, Devel::PPPort, Devel::Peek, Devel::SelfStubber,
ExtUtils::Constant, XS::APItest, XS::Typemap to "devel"

* Wed Jan 21 2004 Marius FERARU <altblue@n0i.net> 3:5.8.3-3.n0i.19
- added all IVP-required headers files for h2ph conversion
- added a conditional --with(out) test
- added more directories to 'compat' package
- fixed some more legacy-spec Provides
- moved POSIX/SigAction stuff into the arch dependent dir
- turned parallel build into a conditional as it seems to _seldomly_
break things (--with j)
- added byacc & glibc-headers to BuildRequires
- disabled previous perl versions search (inc_version_list)

* Mon Jan 19 2004 Marius FERARU <altblue@n0i.net> 3:5.8.3-2.n0i.18
- more separate packages: PerlIO-via-QuotedPrint, Pod-LaTeX, Unicode-UCD,
utils
- moved the above backward compatible stuff into a split 'compat' package
- dropped dos2unix from BuildRequires
- fixed more MANIFEST to claim ownership on more directories so the last
one could remove it for real ;-]
- reparsing MANIFEST.all to regain/reclaim ownership on directories
in which there still are files

* Sat Jan 17 2004 Marius FERARU <altblue@n0i.net> 3:5.8.3-1.n0i.17
- perl 5.8.3
- switched to using tar.bz2 source
- updated Source0 path (Nicholas Clark is the maintainer for 5.8.3)
- added 5.8.2 to those backward mumblings (otherlibdirs, inc_version_list)
that usually trigger more problems rather than helping people. Anyway,
they want it, they got it :(
- various MANIFEST updates
- turned duplicate binaries and manpages (perl, sperl, pstruct, psed)
into symlinks
- enabled parralel building (_smp_mflags) ... quite useless in fact :)

* Mon Dec 29 2003 Marius FERARU <altblue@n0i.net> 3:5.8.2-8.n0i.16
- perl 5.8.2
- synced with current Fedora spec (3:5.8.2-7)
- turned threading/largefiles/suidperl into rpm conditionals (with/without)
- moved getopts.pl into the main package as it seems to be required by some
longtime-not-updated std module :(
- splitted CGI::Fast module into a separate package to avoid artificial
provides/requires
- added more and more documentation to each package
- dropped pods package (marking them as docs should be enough)
- added more macros/args to clean-manifest.pl
- put a link to libperl.so in /usr/lib

* Mon Oct 06 2003 Marius FERARU <altblue@n0i.net> 3:5.8.1-91.1.n0i.15
- rebuild for current rawhide
- re-added FCGI fake Provides tag for CGI.pm package

* Sat Sep 27 2003 Marius FERARU <altblue@n0i.net> 3:5.8.1-91.0.n0i.14
- perl 5.8.1;
- bumped up some modules versions

* Fri Sep 26 2003 Marius FERARU <altblue@n0i.net> 3:5.8.1-90.rc5.0.n0i.13
- reb00ted from Rawhide's 3:5.8.1-90.rc4.2 (sorry, history repeats)
- perl 5.8.1-RC5;
- tweaked clean-manifest.pl;
- moved allmost all possible modules into separate packages, as it's easier
to install a module than to reinstall perl. The idea was to split ONLY
modules that are still distributed on CPAN by themselves. And people should
really use separated packages from CPAN for some modules which are crippled
in Perl distribution (for OS portability sake or something I suppose);
- dropped some Obsoletes lines;
- moved pod std documentation into a separate package as we already have
all those docs man formatted;
- heavy/nasty %%install tweaks.
